.bearing-popup-overlay{
    position:fixed;
    inset:0;
    background:rgba(0,0,0,.65);
    display:none;
    align-items:center;
    justify-content:center;
    z-index:999999;
    padding:15px;
}

.bearing-popup{
    background:#fff;
    width:100%;
    max-width:450px;
    border-radius:10px;
    padding:30px;
    text-align:center;
    position:relative;
    animation:popup .35s ease;
}

@keyframes popup{

from{
transform:scale(.7);
opacity:0;
}

to{
transform:scale(1);
opacity:1;
}

}

.popup-close{
position:absolute;
right:15px;
top:10px;
font-size:28px;
cursor:pointer;
font-weight:bold;
}

.bearing-popup h2{
font-size:28px;
margin-bottom:15px;
color:#004b8d;
}

.brands{

line-height:1.8;
margin-bottom:15px;

}

.branch{

font-size:18px;
margin-bottom:20px;

}

.bearing-popup h3{

font-size:24px;
margin-bottom:10px;

}

.msg{

margin-bottom:25px;

}

.popup-buttons{

display:flex;
gap:15px;
justify-content:center;
flex-wrap:wrap;

}

.btn-whatsapp{

background:#25D366;
color:#fff;
padding:14px 28px;
text-decoration:none;
border-radius:6px;
font-weight:bold;

}

.btn-call{

background:#0056d2;
color:#fff;
padding:14px 28px;
text-decoration:none;
border-radius:6px;
font-weight:bold;

}

.btn-whatsapp:hover{

opacity:.9;

}

.btn-call:hover{

opacity:.9;

}

@media(max-width:768px){

.bearing-popup{

padding:25px 18px;

}

.bearing-popup h2{

font-size:24px;

}

.bearing-popup h3{

font-size:20px;

}

.btn-whatsapp,
.btn-call{

width:100%;

}

}